Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.reflection
Class DefaultNanoContainerTestCase.FooDecoratingPicoContainer

    java.lang.Object
      org.picocontainer.alternatives.AbstractDelegatingMutablePicoContainer
          org.nanocontainer.reflection.DefaultNanoContainerTestCase.FooDecoratingPicoContainer

All Implemented Interfaces:
  Serializable, org.picocontainer.Disposable, org.picocontainer.MutablePicoContainer, org.picocontainer.PicoContainer, org.picocontainer.Startable

Enclosing class:
  DefaultNanoContainerTestCase

    public static class DefaultNanoContainerTestCase.FooDecoratingPicoContainer

extends org.picocontainer.alternatives.AbstractDelegatingMutablePicoContainer

See Also:
  Serialized Form

Constructor Summary
`DefaultNanoContainerTestCase.FooDecoratingPicoContainer(org.picocontainer.MutablePicoContainer delegate)`

Method Summary
`org.picocontainer.MutablePicoContainer` | `makeChildContainer()`
`org.picocontainer.ComponentAdapter` | `registerComponentImplementation(Class compImpl)`

Methods inherited from class org.picocontainer.alternatives.AbstractDelegatingMutablePicoContainer
`accept, addChildContainer, dispose, equals, getComponentAdapter, getComponentAdapterOfType, getComponentAdapters, getComponentAdaptersOfType, getComponentInstance, getComponentInstanceOfType, getComponentInstances, getComponentInstancesOfType, getDelegate, getParent, registerComponent, registerComponentImplementation, registerComponentImplementation, registerComponentInstance, registerComponentInstance, removeChildContainer, start, stop, unregisterComponent, unregisterComponentByInstance, verify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultNanoContainerTestCase.FooDecoratingPicoContainer

    public DefaultNanoContainerTestCase.FooDecoratingPicoContainer(org.picocontainer.MutablePicoContainer delegate)

Method Detail

### makeChildContainer

    public org.picocontainer.MutablePicoContainer makeChildContainer()

### registerComponentImplementation

    public org.picocontainer.ComponentAdapter registerComponentImplementation(Class compImpl)
                                                                       throws org.picocontainer.PicoRegistrationException

  Specified by:
    `registerComponentImplementation` in interface `org.picocontainer.MutablePicoContainer`
  Overrides:
    `registerComponentImplementation` in class `org.picocontainer.alternatives.AbstractDelegatingMutablePicoContainer`
  Throws:
    `org.picocontainer.PicoRegistrationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.